package turgen.dtb;

/** Vyjimka je vyhozena, jestlize soubor nema spravny format.
    Zprava obsahuje popis chyby.
 */


public class DOS2BinaryProcessingException extends Exception {
    /** Zprava*/
    private final String message;
    
    
    public DOS2BinaryProcessingException(String message) {
        this.message=message;
        
    }
    /** Pozadavek na vraceni zpravy
     *@return Zprava
     */
    public String getMessage() {return getMessageString();}
    
    public String toString() {
        return getClass().getName()+" "+getMessageString();
    }
    
    private String getMessageString() {
        return message;
    }
}